Skip to main content
GET
/
api
/
movement-lines
List movement lines
curl --request GET \
  --url https://app.solya.app/api/movement-lines \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "brandId": "brand-uuid-nike",
      "brandName": "Nike",
      "code": "MVT-2026-0042-L1",
      "createdAt": "2026-05-12T09:00:00.000Z",
      "inventoryItemId": "inv-item-uuid-1",
      "inventoryItemSku": "NK-AM90-WHT-42",
      "movementCode": "MVT-2026-0042",
      "movementCost": 660,
      "movementDate": "2026-05-12T08:30:00.000Z",
      "movementDescription": "Supplier delivery — Nike Spring 2026",
      "movementId": "mvt-uuid-1",
      "movementLineId": "mvt-line-uuid-1",
      "productId": "product-uuid-1",
      "productName": "Air Max 90",
      "quantity": 12,
      "shopId": "shop-uuid-1",
      "shopName": "Paris Opéra",
      "unitCost": 55,
      "updatedAt": "2026-05-12T09:00:00.000Z",
      "variantCode": "NK-AM90-WHT",
      "variantId": "variant-uuid-a",
      "variantName": "White"
    },
    {
      "brandId": "brand-uuid-nike",
      "brandName": "Nike",
      "code": "MVT-2026-0042-L2",
      "createdAt": "2026-05-12T09:00:00.000Z",
      "inventoryItemId": "inv-item-uuid-2",
      "inventoryItemSku": "NK-AM90-WHT-43",
      "movementCode": "MVT-2026-0042",
      "movementCost": 440,
      "movementDate": "2026-05-12T08:30:00.000Z",
      "movementDescription": "Supplier delivery — Nike Spring 2026",
      "movementId": "mvt-uuid-1",
      "movementLineId": "mvt-line-uuid-2",
      "productId": "product-uuid-1",
      "productName": "Air Max 90",
      "quantity": 8,
      "shopId": "shop-uuid-1",
      "shopName": "Paris Opéra",
      "unitCost": 55,
      "updatedAt": "2026-05-12T09:00:00.000Z",
      "variantCode": "NK-AM90-WHT",
      "variantId": "variant-uuid-b",
      "variantName": "White"
    }
  ],
  "page": 1,
  "pageSize": 20,
  "total": 1204
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

page
integer
default:1

Page number, 1-indexed (default: 1)

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20

Number of items per page, max 100 (default: 20)

Required range: 1 <= x <= 100
shopId
string
productId
string
brandId
string
movementType
string
dateFrom
string
dateTo
string

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true